#3244 closed enhancement (fixed)

Change rtems_panic() implementation and document this function

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The current rtems_panic() implementation is quite heavy weight. It depends on _exit() which calls the global destructors. It uses fprintf(stderr, ...) for output which depends on an initialized console device and the complex fprintf().

Introduce a new fatal source RTEMS_FATAL_SOURCE_PANIC for rtems_panic() and output via printk().

Document this function in Fatal Manager chapter.

Replace all BSP_panic() with rtems_panic().

Change History (3)

comment:1 Changed on Nov 22, 2017 at 12:02:20 PM by Sebastian Huber <sebastian.huber@…>

In 15e19273/rtems:

sapi: New implementation of rtems_panic()

The previous rtems_panic() implementation was quite heavy weight. It
depended on _exit() which calls the global destructors. It used
fprintf(stderr, ...) for output which depends on an initialized console
device and the complex fprintf().

Introduce a new fatal source RTEMS_FATAL_SOURCE_PANIC for rtems_panic()
and output via vprintk().

Update #3244.

comment:2 Changed on Nov 23, 2017 at 6:28:11 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 97c51c8/rtems-docs:

c-user: Document rtems_panic()

Close #3244.

comment:3 Changed on Jun 5, 2018 at 7:13:17 AM by Sebastian Huber <sebastian.huber@…>

In c934365f/rtems:

Update rtems_fatal_source_text()

Add RTEMS_FATAL_SOURCE_PANIC to rtems_fatal_source_text().

Update #3244.

Note: See TracTickets for help on using tickets.